Bug 1608368 - Ansible Jobs Causing State Machine to Fail due to Inactivity Threshold Exceeding 0
Summary: Ansible Jobs Causing State Machine to Fail due to Inactivity Threshold Exceed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: mkanoor
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On: 1601538
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-25 12:04 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
7 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1601538
Environment:
Last Closed: 2018-11-05 13:58:27 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:13 UTC

Comment 2 CFME Bot 2018-09-11 20:21:24 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/391bd025ef2ba56887302ada92e11a4b7b0ee736
commit 391bd025ef2ba56887302ada92e11a4b7b0ee736
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jul 17 09:22:32 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Jul 17 09:22:32 2018 -0400

    Merge pull request #17715 from mkanoor/bz_1601538

    Allow for empty strings in the execution_ttl field
    (cherry picked from commit 2c27c3c19dbc9da0119f649bd1767a7f8da71352)

    https://bugzilla.redhat.com/show_bug.cgi?id=1608368

 app/models/manageiq/providers/embedded_ansible/automation_manager/playbook_runner.rb | 2 +-
 spec/models/manageiq/providers/embedded_ansible/automation_manager/playbook_runner_spec.rb | 8 +
 2 files changed, 9 insertions(+), 1 deletion(-)

Comment 3 mkanoor 2018-09-21 19:02:13 UTC
You would need a playbook that can sleep for a set amount of time.
https://github.com/mkanoor/playbook/blob/master/pkg_info.yaml

This playbook takes 3 parameters

user = root
pkg = httpd
sleep = 600

Which you can pass in as extra vars

Comment 5 Satyajit Bulage 2018-10-11 16:52:25 UTC
State Machine is not failing due to Ansible Jobs exceeding threshold values.

I have created State Machine which uses Playbook of Madhu. Ordered it with different sleep times, and found that it working as expected, State Machine didn't failed.

Verified Version: 5.9.5.0.20180927190514_e161d8f

Comment 7 errata-xmlrpc 2018-11-05 13:58:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.